Subscribe to generation progress
WebSocket endpoint. Send `{ "type": "ping" }` to receive a pong; progress messages have `type: "progress"` and state replay messages have `type: "state"`.
GET
/api/ws/{demoId}
WebSocket endpoint. Send `{ "type": "ping" }` to receive a pong; progress messages have `type: "progress"` and state replay messages have `type: "state"`.
Path Parameters
demoId
string
required
path
Responses
101
WebSocket upgrade
No response body
426
Expected WebSocket upgrade
curl -X GET 'https://littledemo.com/api/ws/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/ws/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/ws/string', headers=headers)print(response.json())
426
Response
{ "error": "<string>"}
API Playground
Try this endpoint
GET
/api/ws/{demoId}